Skip to main content
GET
/
api
/
v2
/
external
/
billing
/
invoices
Get Invoices
curl --request GET \
  --url https://api.lyceum.technology/api/v2/external/billing/invoices \
  --header 'Authorization: Bearer <token>'
{
  "invoices": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "amount": 123,
      "credits": 123,
      "status": "<string>",
      "invoice_pdf": "<string>",
      "receipt_url": "<string>",
      "payment_intent_id": "<string>"
    }
  ],
  "total_invoices": 123
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Query Parameters

limit
integer
default:10
offset
integer
default:0

Response

Successful Response

invoices
Invoice · object[]
required
total_invoices
integer
required